package de.fhdw.gaming.ipspiel24.fg.domain.factory;

import de.fhdw.gaming.ipspiel24.fg.domain.FGStrategy;
import de.fhdw.gaming.ipspiel24.fg.moves.factory.FGMoveFactory;


/**
 * Represents a factory creating Demo strategies.
 */
@FunctionalInterface
public interface FGStrategyFactory {

    /**
     * function to create Strategy.
     * @param moveFactory The {@Link FGMoveFactory} to use
     * @return The FG strategy
     */
    FGStrategy create(FGMoveFactory moveFactory);
}
